# UpdateAspect

Update a single aspect

`PUT /companies/{companyId}/aspects/{aspectKey}`

**API:** Shared Company Service API
**Tag:** Aspects
**API Version:** 1.2
**Base URL:** https://api.avalara.com/scs

Source: https://developer.avalara.com/products/shared-services/api/methods/Aspects/UpdateAspect/

## Description

Use this endpoint replace the existing aspect object at this URL with an updated object.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/). |
| `X-Correlation-Id` | string | header | No | Use the X-Correlation-ID header to support request correlation through requests. This header should be present on all requests and responses. |
| `avalara-version` | string | header | No | The HTTP Header meant to specify the version of the API intended to be used |

## Request Body

**Content-Type:** `application/json`
**Schema:** `Aspect`

Object for storing one or more aspects for this company (for example, ELR, AvaTax, and so on)

| Property | Type | Required | Description |
|---|---|---|---|
| `identifier` | string | **Yes** | An Identifier that uniquely identifies belonging aspect for this company in delivery system Example: `ca5a1aff-187e-4285-858c-fa43ee587cbf`. |
| `displayName` | string | No | The displayed aspect name Example: `ABC Corp`. |
| `location` | string | No | The location of this aspect from delivery system Example: `/iam/systems/626a9303fa6495f5742fdd6d`. |
| `namespace` | string | **Yes** | Namespace uniquely identifies the delivery system Example: `urn:avalara:systems:avatax`. |
| `isDeleted` | boolean | No |  |
| `meta` | Meta | No |  |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | OK | `Aspect` |
| 400 | Bad Request | `ErrorInfo` |
| 401 | Unauthorized | `ErrorInfo` |
| 403 | Forbidden | `ErrorInfo` |
| 404 | Not Found | `ErrorInfo` |
| 500 | Internal Server Error | `ErrorInfo` |

### 200 Response: `Aspect`

Object for storing one or more aspects for this company (for example, ELR, AvaTax, and so on)

| Property | Type | Required | Description |
|---|---|---|---|
| `identifier` | string | **Yes** | An Identifier that uniquely identifies belonging aspect for this company in delivery system Example: `ca5a1aff-187e-4285-858c-fa43ee587cbf`. |
| `displayName` | string | No | The displayed aspect name Example: `ABC Corp`. |
| `location` | string | No | The location of this aspect from delivery system Example: `/iam/systems/626a9303fa6495f5742fdd6d`. |
| `namespace` | string | **Yes** | Namespace uniquely identifies the delivery system Example: `urn:avalara:systems:avatax`. |
| `isDeleted` | boolean | No |  |
| `meta` | Meta | No |  |

## Example Request

```bash
curl -X PUT "https://api.avalara.com/scs/companies/{companyId}/aspects/{aspectKey}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json" \
  -d '{
  "identifier": "ca5a1aff-187e-4285-858c-fa43ee587cbf",
  "displayName": "ABC Corp",
  "location": "/iam/systems/626a9303fa6495f5742fdd6d",
  "namespace": "urn:avalara:systems:avatax",
  "isDeleted": "",
  "meta": {
    "createdBy": "32ec41da-c69f-4db4-9b77-424eab75edae",
    "created": "2023-03-31T13:18:12",
    "modifiedBy": "32ec41da-c69f-4db4-9b77-424eab75edae",
    "lastModified": "2023-03-31T13:18:12",
    "location": "/companies/32ec41da-c69f-4db4-9b77-424eab75edae",
    "version": "1.0"
  }
}'
```